DynSequenceOperations (Java Platform SE 8 )
Keywords: org.omg.DynamicAny.DynSequenceOperations interface
Date: 2015-11-19

org.omg.DynamicAny

## Interface DynSequenceOperations

- All Superinterfaces:
    DynAnyOperations
  All Known Subinterfaces:
    DynSequence
  All Known Implementing Classes:
    _DynSequenceStub

      public interface DynSequenceOperations
      extends DynAnyOperations

  DynSequence objects support the manipulation of IDL sequences.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DynAny[]` | `get_elements_as_dyn_any()` Returns the DynAnys representing the elements of the sequence.
    `Any[]` | `get_elements()` Returns the elements of the sequence.
    `int` | `get_length()` Returns the current length of the sequence.
    `void` | `set_elements_as_dyn_any(DynAny[] value)` Sets the elements of a sequence using DynAnys.
    `void` | `set_elements(Any[] value)` Sets the elements of a sequence.
    `void` | `set_length(int len)` Sets the length of the sequence.

    - ### Methods inherited from interface org.omg.DynamicAny.DynAnyOperations

      `assign, component_count, copy, current_component, destroy, equal, from_any, get_any, get_boolean, get_char, get_double, get_dyn_any, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_any, insert_boolean, insert_char, insert_double, insert_dyn_any, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

- - ### Method Detail

    - #### get_length

          int get_length()

      Returns the current length of the sequence.

    - #### set_length

          void set_length(int len)
                   throws InvalidValue

      Sets the length of the sequence. Increasing the length of a sequence adds new elements at the tail without affecting the values of already existing elements. Newly added elements are default-initialized. Increasing the length of a sequence sets the current position to the first newly-added element if the previous current position was -1. Otherwise, if the previous current position was not -1, the current position is not affected. Decreasing the length of a sequence removes elements from the tail without affecting the value of those elements that remain. The new current position after decreasing the length of a sequence is determined as follows:
      - If the length of the sequence is set to zero, the current position is set to -1.
      - If the current position is -1 before decreasing the length, it remains at -1.
      - If the current position indicates a valid element and that element is not removed when the length is decreased, the current position remains unaffected.
      - If the current position indicates a valid element and that element is removed, the current position is set to -1.
      Throws:
        `InvalidValue` - if this is a bounded sequence and len is larger than the bound

    - #### get_elements

          Any[] get_elements()

      Returns the elements of the sequence.

    - #### set_elements

          void set_elements(Any[] value)
                     throws TypeMismatch,
                            InvalidValue

      Sets the elements of a sequence. The length of the DynSequence is set to the length of value. The current position is set to zero if value has non-zero length and to -1 if value is a zero-length sequence.
      Throws:
        `TypeMismatch` - if value contains one or more elements whose TypeCode is not equivalent to the element TypeCode of the DynSequence
        `InvalidValue` - if the length of value exceeds the bound of a bounded sequence

    - #### get_elements_as_dyn_any

          DynAny[] get_elements_as_dyn_any()

      Returns the DynAnys representing the elements of the sequence.

    - #### set_elements_as_dyn_any

          void set_elements_as_dyn_any(DynAny[] value)
                                throws TypeMismatch,
                                       InvalidValue

      Sets the elements of a sequence using DynAnys. The length of the DynSequence is set to the length of value. The current position is set to zero if value has non-zero length and to -1 if value is a zero-length sequence.
      Throws:
        `TypeMismatch` - if value contains one or more elements whose TypeCode is not equivalent to the element TypeCode of the DynSequence
        `InvalidValue` - if the length of value exceeds the bound of a bounded sequence

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.